Bug 1732434 - missing screenshots in appstream-data [NEEDINFO]
Summary: missing screenshots in appstream-data
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: appstream-data
Version: 8.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Richard Hughes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1739559
TreeView+ depends on / blocked
 
Reported: 2019-07-23 11:37 UTC by Martin Krajnak
Modified: 2021-02-01 07:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-01 07:43:55 UTC
Type: Bug
Target Upstream Version:
mkrajnak: needinfo? (rhughes)


Attachments (Terms of Use)

Description Martin Krajnak 2019-07-23 11:37:35 UTC
Description of problem:
Something is wrong as Software is not able to download screenshots from valid links for nautilus.

Version-Release number of selected component (if applicable):
gnome-software-3.30.6-2.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1.gnome-software --verbose
2.search nautilus
3.open menu item

Actual results:
Screenshot not found

11:32:38:0983 Gs  Result of screenshot downloading attempt with status code '404': Not Found
11:32:39:0000 Gs  Result of screenshot downloading attempt with status code '404': Not Found
11:32:39:0229 Gs  Result of screenshot downloading attempt with status code '404': Not Found
11:32:39:0365 Gs  Result of screenshot downloading attempt with status code '404': Not Found
11:32:39:0614 Gs  Result of screenshot downloading attempt with status code '404': Not Found


Expected results:
Screenshots should be rendered because:

$ cat /usr/share/metainfo/org.gnome.Nautilus.appdata.xml | grep image 
      <image>https://static.gnome.org/appdata/nautilus/nautilus-201901141.png</image>
      <image>https://static.gnome.org/appdata/nautilus/nautilus-201901142.png</image>
      <image>https://static.gnome.org/appdata/nautilus/nautilus-201901143.png</image>
      <image>https://static.gnome.org/appdata/nautilus/nautilus-201901144.png</image>
....
$ wget https://static.gnome.org/appdata/nautilus/nautilus-201901141.png
--2019-07-23 13:34:59--  https://static.gnome.org/appdata/nautilus/nautilus-201901141.png
Resolving static.gnome.org (static.gnome.org)... 209.132.180.168, 209.132.180.180
Connecting to static.gnome.org (static.gnome.org)|209.132.180.168|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 39818 (39K) [image/png]
Saving to: ‘nautilus-201901141.png’

nautilus-201901141.png     100%[=====================================>]  38.88K   246KB/s    in 0.2s    

2019-07-23 13:35:00 (246 KB/s) - ‘nautilus-201901141.png’ saved [39818/39818]

Additional info:

Comment 1 Martin Krajnak 2019-09-11 12:25:25 UTC
I just like to add, that I can see that this is working on Fedora 30 with nautilus and gnome-software on version 3.32,
but the metadata are same:

$ cat /usr/share/metainfo/org.gnome.Nautilus.appdata.xml | grep image 
      <image>https://static.gnome.org/appdata/nautilus/nautilus-201901141.png</image>
      <image>https://static.gnome.org/appdata/nautilus/nautilus-201901142.png</image>
      <image>https://static.gnome.org/appdata/nautilus/nautilus-201901143.png</image>
      <image>https://static.gnome.org/appdata/nautilus/nautilus-201901144.png</image>

I am adding coverage for more apps

Comment 2 Kalev Lember 2019-09-11 13:51:23 UTC
There's screenshot caching involved. appstream-data package contains the actual screenshot URLs that gnome-software uses, and if the URLs don't work, it's an issue with appstream-data and/or screenshot mirroring.

Comment 3 Martin Krajnak 2019-09-11 14:54:41 UTC
Yes, that's right I was hope that those url won't be valid but unfortunatelly they are:

from appstream-data-8-20190805.el8.noarch
<screenshots>
<screenshot type="default">
<image type="source">https://static.gnome.org/appdata/nautilus/nautilus-201901141.png</image>
<image type="thumbnail" height="351" width="624">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/624x351/org.gnome.Nautilus-e51dd12eb7c05546c507740ab82b2e9c.png</image>
<image type="thumbnail" height="63" width="112">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/112x63/org.gnome.Nautilus-e51dd12eb7c05546c507740ab82b2e9c.png</image>
<image type="thumbnail" height="126" width="224">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/224x126/org.gnome.Nautilus-e51dd12eb7c05546c507740ab82b2e9c.png</image>
<image type="thumbnail" height="423" width="752">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/752x423/org.gnome.Nautilus-e51dd12eb7c05546c507740ab82b2e9c.png</image>
</screenshot>
<screenshot>
<image type="source">https://static.gnome.org/appdata/nautilus/nautilus-201901142.png</image>
<image type="thumbnail" height="351" width="624">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/624x351/org.gnome.Nautilus-900c21b61dd2ab9eacac1e4ac2a21568.png</image>
<image type="thumbnail" height="63" width="112">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/112x63/org.gnome.Nautilus-900c21b61dd2ab9eacac1e4ac2a21568.png</image>
<image type="thumbnail" height="126" width="224">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/224x126/org.gnome.Nautilus-900c21b61dd2ab9eacac1e4ac2a21568.png</image>
<image type="thumbnail" height="423" width="752">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/752x423/org.gnome.Nautilus-900c21b61dd2ab9eacac1e4ac2a21568.png</image>
</screenshot>
<screenshot>
<image type="source">https://static.gnome.org/appdata/nautilus/nautilus-201901144.png</image>
<image type="thumbnail" height="351" width="624">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/624x351/org.gnome.Nautilus-de07fccfa9b38dec9ab7c1fc4203951a.png</image>
<image type="thumbnail" height="63" width="112">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/112x63/org.gnome.Nautilus-de07fccfa9b38dec9ab7c1fc4203951a.png</image>
<image type="thumbnail" height="126" width="224">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/224x126/org.gnome.Nautilus-de07fccfa9b38dec9ab7c1fc4203951a.png</image>
<image type="thumbnail" height="423" width="752">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/752x423/org.gnome.Nautilus-de07fccfa9b38dec9ab7c1fc4203951a.png</image>
</screenshot>
<screenshot>
<image type="source">https://static.gnome.org/appdata/nautilus/nautilus-201901143.png</image>
<image type="thumbnail" height="351" width="624">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/624x351/org.gnome.Nautilus-44305dbff4d1b1ba01e72240ebc81fd1.png</image>
<image type="thumbnail" height="63" width="112">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/112x63/org.gnome.Nautilus-44305dbff4d1b1ba01e72240ebc81fd1.png</image>
<image type="thumbnail" height="126" width="224">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/224x126/org.gnome.Nautilus-44305dbff4d1b1ba01e72240ebc81fd1.png</image>
<image type="thumbnail" height="423" width="752">https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/752x423/org.gnome.Nautilus-44305dbff4d1b1ba01e72240ebc81fd1.png</image>
</screenshot>
</screenshots>

Links are working for me, but they wont show in nautilus, I ran the test on couple fresh machines today and they don't show 
there as well just for nautilus (There are packages which actually really missing screenshot entries in the xml).
I don't know about caching though, might be the point

Comment 4 Kalev Lember 2019-09-11 15:13:00 UTC
With "caching" I meant that the upstream URLs are redirected to access.redhat.com/webassets and the images are served from that page instead. From your copy-paste above, https://access.redhat.com/webassets/avalon/g/gnome-software/screenshots/752x423/org.gnome.Nautilus-e51dd12eb7c05546c507740ab82b2e9c.png for example gives error 404 (not found).

Comment 5 Martin Krajnak 2019-09-11 15:16:06 UTC
Ah right, I haven't tried those, make sense now, thanks

Comment 6 Martin Krajnak 2019-09-12 11:15:45 UTC
Ok, so I found 3 additional apps that are shipped within appstream repo that miss screen shots:

seahorse
lshw-gui
fontforge
nautilus (4th)

would be nice to update them next time we will be updating appstream-data

Comment 7 Martin Krajnak 2019-09-13 12:12:28 UTC
Also no screenshots for gnome-control-center

Comment 8 Martin Krajnak 2019-12-02 09:09:17 UTC
Hello Richard, please if you are planning any further appstream data update in 8.2, would it be possible to also include this ?

Comment 9 Martin Krajnak 2020-01-09 09:38:43 UTC
nautilus has screenshot,

Missing list update:
lshw-gui
seahorse
gnome-control-center

Comment 13 RHEL Program Management 2021-02-01 07:43:55 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.